/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/
/* Import Poppins font */
.elementor-element.elementor-element-2b6c157.e-con-full.site-header-sec.e-flex.e-con.e-parent.e-lazyloaded.is-sticky::before {
	opacity: 1;
	background-image: linear-gradient(180deg, #332f2f 0%, #040404 100%);
	border-bottom: 1px solid #fff;
}
.newsletter-form-sec {
    display: flex;
    align-items: center;
    gap: 20px;
    font-family: 'Poppins', sans-serif;
    padding: 10px 0;
}

/* Email input */
.newsletter-form-sec .email-field input {
    width: 100%;
    border: none;
    border-bottom: 1px solid #e5e5e5;
    padding: 10px 0;
    font-size: 15px;
    font-family: 'Poppins', sans-serif;
    background: transparent;
    outline: none;
    color: #000;
}

.newsletter-form-sec .email-field input::placeholder {
    color: #777;
    font-weight: 400;
}

/* Submit button */
.newsletter-form-sec .button-field input.wpcf7-submit {
	background-image: url("images/newsletter-icon.png");
	border: none;
	padding: 0;
	width: 18px;
	height: 18px;
	cursor: pointer;
	position: relative;
	font-size: 0;
	background-color: #fff;
	background-repeat: no-repeat;
	background-size: auto;margin-bottom: 20px;
}

/* Add paper plane icon */
.newsletter-form-sec .button-field input.wpcf7-submit:after {
    content: "\2708"; /* paper plane icon */
    font-size: 20px;
    color: #1a1a1a;
    display: inline-block;
}

/* Remove CF7 spinner overlapping */
.newsletter-form-sec .wpcf7-spinner {
    display: none !important;
}
.scroll-type-title .elementor-heading-title{
    white-space: pre-wrap;
    display: inline-block;
    font-weight: inherit;
}
/* Wrapper */
.contact-form-sec {
    width: 100%;
}

/* Row layout */
.contact-form-row {
    display: flex;
    gap: 20px;
    margin-bottom: 28px;
}

/* 2-column fields */
.contact-form-field {
    flex: 1;
}

/* Full width row */
.contact-form-row.full-row {
    flex-direction: column;
}

.contact-form-row.full-row .contact-form-field {
    width: 100%;
}

/* Remove default CF7 spacing */
.contact-form-field p {
    margin: 0;
}


/* Placeholder style */
.contact-form-field input::placeholder {
    color: #000;
    opacity: 1;
}

/* Focus effect (optional but recommended) */
.contact-form-field input:focus {
	border-bottom: 1px solid #000 !important;outline: none;
}
.elementor-slideshow__title {
	display: none;
}
.contact-form-row select {
	border-width: 0px 0px 1px 0px;
	border-color: #000;
	background: #fff;
	border-radius: 0;
	padding: 10px 0px 10px 0px;
}

.quote-form .contact-form-row.full-row {
    text-align: center;
}
.quote-form .wpcf7-spinner{position:absolute;}
.header-menu-sec ul li a .header-menu-icon {
	width: 25px;
	margin-right: 10px;
}
.header-menu-sec .elementor-nav-menu--dropdown li a{padding-right:50px !important}
/* Responsive */

@media (max-width: 1023px) {
  .site-header-sec .elementor-nav-menu--dropdown.elementor-nav-menu__container {
    position: absolute;
    right: 0;
    top: 40px;
    width: 300px;
  }
	.elementor-78 
.elementor-element.elementor-element-688a86c 
.elementor-nav-menu--dropdown 
a.elementor-item.has-submenu svg {
    transition: transform 0.3s ease;
}

	.elementor-78 .elementor-element.elementor-element-688a86c .elementor-nav-menu--dropdown a.elementor-item.has-submenu.highlighted, .elementor-78 .elementor-element.elementor-element-688a86c .elementor-nav-menu--dropdown li.current-menu-item a.elementor-item.has-submenu {
	color: #fff;
	fill: #fff;
		
}
	
	.elementor-78 
.elementor-element.elementor-element-688a86c 
.elementor-nav-menu--dropdown 
a.elementor-item.has-submenu.highlighted svg {
    transform: rotate(180deg);
    transition: transform 0.3s ease;
}
.header-menu-sec ul li a.elementor-item {
	padding: 15px 20px;
	border-bottom: 1px solid #ccc;
}
.header-menu-sec .elementor-nav-menu .sub-arrow {
	position: absolute;
	right: 20px;
}
.header-menu-sec .elementor-nav-menu--dropdown li a {
	padding-right: 10px !important;
}
}
@media (max-width: 767px) {
    .contact-form-row {
        flex-direction: column;
        gap: 20px;
    }
.reverse-mobile {
	flex-direction: column-reverse !important;
}
}
@media(max-width: 480px) {
    .newsletter-form-sec {
        gap: 10px;
    }
    .newsletter-form-sec .email-field input {
        font-size: 14px;
    }
}
.site-header-sec {
    box-shadow: 
        0 0 20px rgba(0, 0, 0, 0.18),
        0 25px 60px 20px rgba(0,0,0,0.45);
}
